
///
/// Platform-agnostic input and output interfaces for working with memory, files, and networks.
///
pub const io = @import("./io.zig");

///
/// Math types and functions with a focus on graphics-specific linear algebra.
///
pub const math = @import("./math.zig");

///
/// Metaprogramming introspection and generation.
///
pub const meta = @import("./meta.zig");

///
/// Sequential, last-in first-out data structures.
///
pub const stack = @import("./stack.zig");

///
/// Unordered key-value association data structures.
///
pub const table = @import("./table.zig");

///
/// Unit testing suite utilities.
///
pub const testing = @import("./testing.zig");

///
/// Unicode-encoded string analysis and processing with a focus on UTF-8 encoded text.
///
pub const unicode = @import("./unicode.zig");

test {
    _ = io;
    _ = math;
    _ = meta;
    _ = stack;
    _ = table;
    _ = testing;
    _ = unicode;
}
