
pub const IntFittingRange = @import("std").math.IntFittingRange;

///
/// Returns the maximum value of `Integer`.
///
pub fn maxInt(comptime Integer: type) comptime_int {
    return switch (@typeInfo(Integer)) {
        .Int => |info| if (info.bits == 0) 0 else
            ((1 << (info.bits - @boolToInt(info.signedness == .signed))) - 1),

        else => @compileError("`" ++ @typeName(Integer) ++ "` must be an int"),
    };
}

///
/// Returns the lowest `Number` value between `this` and `that`.
///
pub fn min(comptime Number: type, this: Number, that: Number) Number {
    return switch (@typeInfo(Number)) {
        .Int, .Float, .ComptimeInt, .ComptimeFloat => if (this < that) this else that,

        else => @compileError("`" ++ @typeName(Number) ++
            "` must be an int, float, comptime_int, or comptime_float"),
    };
}
